Bug 156467 - unnecessary (?) cdrom-related errors in dmesg at boot
unnecessary (?) cdrom-related errors in dmesg at boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-30 18:18 EDT by Ricky Ng-Adam
Modified: 2015-01-04 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2005-04-30 18:18:31 EDT
Description of problem:

with no CD-ROM in drive, I get:

device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
hdc: packet command error: status=0x51 { DriveReady SeekComplete Error }
hdc: packet command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
cdrom: open failed.
hdc: packet command error: status=0x51 { DriveReady SeekComplete Error }
hdc: packet command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
cdrom: open failed.

Version-Release number of selected component (if applicable):

kernel-2.6.11-1.1275_FC4

How reproducible:

always

Steps to Reproduce:
1. boot with no cdrom
2.
3.
  
Actual results:

verbose errors in dmesg

Expected results:

no errors

Additional info:

[root@localhost ~]# dmesg | grep hdc
    ide1: BM-DMA at 0x1858-0x185f, BIOS settings: hdc:DMA, hdd:pio
hdc: CD-224E, ATAPI CD/DVD-ROM drive
hdc: ATAPI 24X CD-ROM drive, 128kB Cache, UDMA(33)

[note that when I insert a data media in the cdrom, I have to manually mount it
- not sure if FC4 is supposed to do this?]
Comment 1 Dave Jones 2005-09-28 05:32:32 EDT
is this still happening with the latest errata kernel ?
Comment 2 Dave Jones 2005-11-10 14:50:56 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Dave Jones 2006-02-03 00:44:55 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 09:44:18 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.